import '../models/user.dart';
import '../repositories/auth_repository.dart';

class MockAuthRepository implements AuthRepository {
  @override
  Future<User> login(String email, String password) async {
    await Future.delayed(const Duration(seconds: 1));
    if (email.isNotEmpty && password.isNotEmpty) {
      return User(email: email);
    } else {
      throw Exception('Invalid credentials');
    }
  }

  @override
  Future<void> logout() async {
    // Mock logout
  }

  @override
  Future<User?> getCurrentUser() async {
    // Mock: return null or a user
    return null;
  }
}
